import { Command, CommandProps } from '@mobicoop/ddd-library';

export class CreateUserCommand extends Command {
  readonly userId?: string;
  readonly firstName?: string;
  readonly lastName?: string;
  readonly email?: string;
  readonly phone?: string;

  constructor(props: CommandProps<CreateUserCommand>) {
    super(props);
    this.userId = props.userId;
    this.firstName = props.firstName;
    this.lastName = props.lastName;
    this.email = props.email;
    this.phone = props.phone;
  }
}
